package com.ss.android.ugc.aweme.utils;

import X.AnonymousClass9I2;
import X.C23868bx;
import X.C47039Vu;
import X.C50169dH;
import X.C50229dN;
import X.C50409df;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.compliance.api.a;
import com.ss.android.ugc.aweme.launcher.service.interceptor.InterceptorProvider;
import com.ss.android.ugc.aweme.net.interceptor.FeedRetryInterceptorTTNet;
import java.util.ArrayList;
import java.util.List;
import okhttp3.Interceptor;

public class InterceptorHolder implements InterceptorProvider {
    static {
        Covode.recordClassIndex(122045);
    }

    public final List<C23868bx> LIZ() {
        ArrayList arrayList = new ArrayList();
        arrayList.add(new FeedRetryInterceptorTTNet());
        return arrayList;
    }

    public final List<Interceptor> LIZIZ() {
        ArrayList arrayList = new ArrayList();
        if (!C50409df.LIZIZ.LIZ().LIZ) {
            arrayList.add(new C47039Vu());
        }
        return arrayList;
    }

    public final void LIZJ() {
        C50229dN.LJI.LIZ((AnonymousClass9I2) new C50169dH());
        C50229dN.LJI.LIZ(a.LJIILLIIL().LJ());
        C50229dN.LJI.LIZ(a.LJIILLIIL().LJFF());
        C50229dN.LJI.LIZ(a.LJIILLIIL().LJI());
        C50229dN.LJI.LIZ(a.LJIILLIIL().LJII());
    }

    public static InterceptorProvider LIZLLL() {
        MethodCollector.i(5424);
        InterceptorProvider interceptorProvider = (InterceptorProvider) Lnj.LIZ(InterceptorProvider.class, false);
        if (interceptorProvider != null) {
            MethodCollector.o(5424);
            return interceptorProvider;
        }
        Object LIZIZ = Lnj.LIZIZ(InterceptorProvider.class, false);
        if (LIZIZ != null) {
            InterceptorProvider interceptorProvider2 = (InterceptorProvider) LIZIZ;
            MethodCollector.o(5424);
            return interceptorProvider2;
        }
        if (Lnj.bQ == null) {
            synchronized (InterceptorProvider.class) {
                try {
                    if (Lnj.bQ == null) {
                        Lnj.bQ = new InterceptorHolder();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(5424);
                    throw th;
                }
            }
        }
        InterceptorHolder interceptorHolder = (InterceptorHolder) Lnj.bQ;
        MethodCollector.o(5424);
        return interceptorHolder;
    }
}
